.content-slider {
  width: 100%;
  height: 600px;

}

.slider {
  height: 580px;
  width: 100%;
  margin: 40px auto 0;
  overflow: visible;
  position: relative;
}

.mask {
  overflow: hidden;
  height: 580px;
}

.slider ul {
  margin: 0;
  padding: 0;
  position: relative;
}

.slider li {
  width: 100%;
  height: 580px;
  position: absolute;
  top: -585px;
  list-style: none;
}

.slider .quote {
  font-size: 1em;
  font-style: normal;
}

.slider .source {
  font-size: 20px;
  text-align: right;
}

.slider li.anim1 {
  animation: cycle 60s ease-in-out infinite;
}

.slider li.anim2 {
  animation: cycle2 60s ease-in-out infinite;
}

.slider li.anim3 {
  animation: cycle3 60s ease-in-out infinite;
}





@keyframes cycle {
  0% {
    top: 0px;
  }
  4% {
    top: 0px;
  }
  29% {
    top: 0px;
    opacity: 1;
    z-index: 0;
  }
  33% {
    top: 585px;
    opacity: 0;
    z-index: 0;
  }
  34% {
    top: -585px;
    opacity: 0;
    z-index: -1;
  }
  50% {
    top: -585px;
    opacity: 0;
    z-index: -1;
  }
  92% {
    top: -585px;
    opacity: 0;
    z-index: 0;
  }
  96% {
    top: -585px;
    opacity: 0;
  }
  100% {
    top: 0px;
    opacity: 1;
  }
}

@keyframes cycle2 {
  0% {
    top: -585px;
    opacity: 0;
  }
  29% {
    top: -585px;
    opacity: 0;
  }
  33% {
    top: 0px;
    opacity: 1;
  }
  37% {
    top: 0px;
    opacity: 1;
  }
  62% {
    top: 0px;
    opacity: 1;
    z-index: 0;
  }
  66% {
    top: 585px;
    opacity: 0;
    z-index: 0;
  }
  67% {
    top: -585px;
    opacity: 0;
    z-index: -1;
  }
  100% {
    top: -585px;
    opacity: 0;
    z-index: -1;
  }
}

@keyframes cycle3 {
  0% {
    top: -585px;
    opacity: 0;
  }
  62% {
    top: -585px;
    opacity: 0;
  }
  66% {
    top: 0px;
    opacity: 1;
  }
  70% {
    top: 0px;
    opacity: 1;
  }
  96% {
    top: 0px;
    opacity: 1;
    z-index: 0;
  }
  100% {
    top: 585px;
    opacity: 0;
    z-index: 0;
  }
}


